\documentclass[10pt]{scrartcl}
\usepackage[utf8]{inputenc}
\usepackage{amsmath,amssymb}
\usepackage{graphicx}
\usepackage[a4paper,width=150mm,top=25mm,bottom=25mm]{geometry}
\usepackage{enumerate} %Roman enumeration
\usepackage{dsfont}
\usepackage{sectsty}
\usepackage{mathtools}
\usepackage{float}
\usepackage{physics}
\usepackage{contour}
\usepackage{pdfpages}
\renewcommand*{\thepage}{\large\arabic{page}}
\usepackage{mathrsfs}
\usepackage{adjustbox}
\usepackage{tabularx}
\usepackage{slashed}



\usepackage{tikz}
\usetikzlibrary{graphdrawing}
\usepackage{luacode}
\begin{luacode}
  function pgf_lookup_and_require(name)
    local sep = '/'
    if string.find(os.getenv('PATH'),';') then
      sep = '\string\\'
    end
    local function lookup(name)
      local sub = name:gsub('%.',sep)
      local find_func = function (name, suffix)
        if resolvers then
          local n = resolvers.findfile (name.."."..suffix, suffix) -- changed
          return (not (n == '')) and n or nil
        else
          return kpse.find_file(name,suffix)
        end
      end
      if find_func(sub, 'lua') then
        require(name)
      elseif find_func(sub, 'clua') then
        collectgarbage('stop')
        require(name)
        collectgarbage('restart')
      else
        return false
      end
      return true
    end
    return
      lookup('pgf.gd.' .. name .. '.library') or
      lookup('pgf.gd.' .. name) or
      lookup(name .. '.library') or
      lookup(name)
  end
\end{luacode}
\usepackage{tikz-feynman}
\makeatletter
\tikzfeynmanset{compat=\tikzfeynman@version@major.\tikzfeynman@version@minor.\tikzfeynman@version@patch}
\makeatother
\allsectionsfont{\centering}


\tikzset{
  vlines/.style={
    path picture={
      \draw[xstep=#1, ystep=100cm, shift={(path picture bounding box.south west)} ]
      (path picture bounding box.south west) grid (path picture bounding box.north east);
    }
  }
}

% New commands
\newcommand*{\QED}{\hfill\ensuremath{\blacksquare}}%
\newcommand*{\QEDB}{\hfill\ensuremath{\square}}%
\renewcommand*{\i}{\mathrm{i}}%
\newcommand*{\allimplies}{\big\} \hspace*{-0.2cm} \implies }%
\newcommand\hteq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny !}}}{=}}}
\newcommand\oneeq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny (i)}}}{=}}}
\newcommand\indeq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny ind}}}{=}}}
\newcommand\stareq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny \ref{eq-Lemma_1}}}}{=}}}

\begin{document}
% Original sheet
\includepdf[pages=-]{sheet3.pdf}
% Exercise 1
\noindent\rule{\textwidth}{2pt}
\textbf{Exercise 1 -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
We have to calculate the following graph in tree-level approximation. I.e. we have to compute:
\begin{center}
\begin{tikzpicture}[baseline]
    \begin{feynman}
   \vertex[blob] (m) at ( 0, 0) ;

    \vertex (a) at (-2,-2) {$b$};
    \vertex (b) at ( 2,-2) {$c, \mu$};
    \vertex (c) at (-2, 2) {$a$};
    \vertex (d) at ( 2, 2) {$d, \nu$};
    \diagram* {
      (d) -- [gluon, edge label=$k_{2}$] (m) -- [fermion, edge label=$p_{2}$] (c),
      (b) -- [gluon, edge label=$k_{1}$] (m) -- [anti fermion, edge label=$p_{1}$] (a),
    };
       \draw[fill=white] (0,0) circle[radius=0.33]; 
        \begin{scope}[xshift=0cm, scale=0.33, rotate=45]
        \draw  [clip] (0,0) circle (1cm);
        \draw (0,-1) -- (0,1); % first diagonal
            \foreach \x in {1,...,10} {% 4 lines 
                \draw (\x/5, -1) -- (\x/5,1);
                \draw (-\x/5, -1) -- (-\x/5,1);
        }
    \end{scope}
  \end{feynman}
\end{tikzpicture}
\end{center}


\begin{table}[H]
\makebox[430pt]{
\begin{tabularx}{0.9\textwidth}{cccccc}
$=$
&
\multicolumn{1}{m{0.3\textwidth}}{
 \feynmandiagram [horizontal=f2 to f3] {
f1 -- [fermion, edge label=$p_{1}$] f2 [dot] -- [gluon] f3 [dot] -- [gluon, edge label=$k_{2}$] f4, f2 -- [fermion, edge label=$p_{2}$] p1,
f3 -- [gluon, edge label=$k_{1}$] p2,
};
}
&
\hspace{-10pt}$+$ 
&
\multicolumn{1}{m{0.3\textwidth}}{
 \feynmandiagram [vertical=f2 to f4] {
f1 -- [anti fermion, edge label=$p_{2}$] f2 [dot], 
f3 -- [fermion, edge label=$p_{1}$] f4 [dot] -- [fermion] f2, 
f2 -- [gluon, edge label=$k_{2}$] p1,
f4 -- [gluon, edge label=$k_{1}$] p2,
};
}
&
\hspace{-50pt}$+$ 
&
\multicolumn{1}{m{0.3\textwidth}}{
\begin{tikzpicture}
  \begin{feynman}
    \vertex (a);
    \vertex [below      =of a] (b);
    \vertex [above left=of a] (i1);
    \vertex [below left =of b] (i2);
    \vertex [right      =4cm of i2] (f1);
    \vertex [right      =4cm of i1] (f2);
       \draw[fill=black] (a) circle[radius=0.075];
              \draw[fill=black] (b) circle[radius=0.075]; 
    \diagram* {
      (i1) -- [anti fermion, edge label'=\(p_{2}\)] (a) [dot]
           -- [gluon, edge label={\(k_{2}\)}] (f1),
      (a) -- [anti fermion] (b),
      (i2) -- [fermion, edge label=\(p_{1}\)] (b),
      (b) -- [gluon, edge label={\(k_{1}\)}] (f2),
    };
  \end{feynman}
\end{tikzpicture}
} \\
\end{tabularx}}
\end{table}
The diagrams represent the $s,t$ and $u$ channel. The matrix elements can be evaluated using the Feynman Rules of Non-Abelian Gauge Theories.
\begin{align*}
\i \mathcal{M}_{s} &= \bar{v}(p_{2}) \i g_{s} \gamma_{\sigma} T^{c}_{ji} u(p_{1}) \frac{\i d^{\sigma \rho}}{(p_{1} + p_{2})^{2}} g_{s} f^{abc} H_{\mu \nu \rho} \epsilon^{* \mu} (k_{1}) \epsilon^{*\nu} (k_{2}) \\
\i \mathcal{M}_{t} &= \bar{v}(p_{2}) \i g_{s} \gamma^{\nu} T^{b}_{jk} \i \frac{\slashed{p}_{1} - \slashed{k}_{1}}{(p_{1}-k_{1})^{2}} \i g_{s} \gamma^{\mu} T^{a}_{ki} u(p_{1}) \epsilon^{*}_{\mu} (k_{1}) \epsilon^{*}_{\nu} (k_{2}) \\
\i \mathcal{M}_{u} &= \bar{v}(p_{2}) \i g_{s} \gamma^{\mu} T^{b}_{jk} \i \frac{\slashed{p}_{1} - \slashed{k}_{2}}{(p_{1}-k_{2})^{2}} \i g_{s} \gamma^{\nu} T^{a}_{ki} u(p_{1}) \epsilon^{*}_{\mu} (k_{1}) \epsilon^{*}_{\nu} (k_{2}) 
\end{align*}
Here we used the short hand notation:
\begin{align*}
d^{\mu \nu} &=g^{\mu \nu} + (\xi-1) \dfrac{k^{\mu} k^{\nu}}{k^{2}} \\
H^{\mu \nu \rho} &= g^{\mu \nu} (k-p)^{\rho}+ g^{\nu \rho} (p-q)^{\mu} + g^{\rho \mu} (q-k)^{\nu} 
\end{align*}
Where $k,p$ and $q$ are the momenta from the lines coming from $\mu, \nu$ and $\rho$ respectively. \\\\
The total amplitude squares to:
\begin{equation*}
| \mathcal{M} |^{2} = | \mathcal{M}_{s} |^{2} + | \mathcal{M}_{t} |^{2} + | \mathcal{M}_{u} |^{2} + 2 \, \mathfrak{R} (\mathcal{M}_{s}^{*} \mathcal{M}_{t} + \mathcal{M}_{s}^{*} \mathcal{M}_{u} + \mathcal{M}_{t}^{*} \mathcal{M}_{u})
\end{equation*}
We can now calculate the squared amplitude for the spin sums given above. The ghost diagram that is needed for the case
\begin{equation*}
\sum_{\lambda=\pm 1} \epsilon_{\mu} (k, \lambda) \epsilon^{*}_{\nu} (k, \lambda) = -g_{\mu \nu} 
\end{equation*}
is given by:
\begin{equation*}
 \feynmandiagram [baseline=(f3.base), horizontal=f2 to f3] {
f1 -- [fermion, edge label=$p_{1}$] f2 [dot] -- [gluon] f3 [dot] -- [ghost, edge label=$k_{2}$] f4, f2 -- [fermion, edge label=$p_{2}$] p1,
f3 -- [ghost, edge label=$k_{1}$] p2,
};
=
\i \mathcal{M}_{gh} = \bar{v} (p_{2}) \i g_{s} \gamma_{\sigma} T^{c}_{ji} u(p_{1}) \frac{\i d^{\sigma \rho}}{(p_{1}+p_{2})^{2}} (-g_{s}) f^{acb} {k_{1}}_{\rho}
\end{equation*}
What we have to show is that:
\begin{equation*}
\frac{1}{2} |\mathcal{M}_{s} + \mathcal{M}_{t} + \mathcal{M}_{u}|^{2} \hteq \frac{1}{2} |\mathcal{M}^{\prime}_{s} + \mathcal{M}^{\prime}_{t} + \mathcal{M}^{\prime}_{u}|^{2} - | \mathcal{M}_{gh}|^{2}
\end{equation*}
Where $\mathcal{M}$ means using the full spin sum formula and $\mathcal{M^{\prime}}$ indicates that we have only used $-g^{\mu \nu}$. The factor $\frac{1}{2}$ comes from identical final states and the $-1$ appears due to a ghost loop. Using \textsf{FeynCalc} we indeed see that this equality hold. 
\begin{align*}
|\mathcal{M}_{s} + \mathcal{M}_{t} + \mathcal{M}_{u}|^{2} &= - \frac{49 s^{4} ( 37 + 45 \cos^{4} \theta + 46 \cos^{2} \theta )}{3 (\cos^{2} \theta - 1)} \\
|\mathcal{M}^{\prime}_{s} + \mathcal{M}^{\prime}_{t} + \mathcal{M}^{\prime}_{u}|^{2} &= - \frac{169 s^{4} ( 7 + 9 \cos^{4} \theta + 16 \cos^{2} \theta )}{3 (\cos^{2} \theta - 1)} \\
 | \mathcal{M}_{gh}|^{2} &= - 69 s^{4} (cos^{4} \theta -1 )
\end{align*} \QED
\end{addmargin}
\noindent\rule{\textwidth}{1pt}
\clearpage

% Exercise 2
\noindent\rule{\textwidth}{2pt}
\textbf{Exercise 2 -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
\textit{Ad (a):} The Lagrangian is given as:
\begin{align*}
\mathscr{L} &= \mathscr{L}_{G} + \mathscr{L}_{GF} + \mathscr{L}_{FP} \\
&= -\frac{1}{4} {F_{\mu \nu}^{a}}^{2} + \frac{\xi}{2} {B^{a}}^{2} + B^{a} \partial^{\mu} A^{a}_{\mu} + \bar{c}^{a} (-\partial^{\mu} D^{ac}_{\mu} ) c^{c}
\end{align*}
Therefore the summands are given as:
\begin{align*}
\mathscr{L}_{G} &= -\frac{1}{4} F^{a}_{\mu \nu} F^{a, \mu \nu} \\
\mathscr{L}_{GF} &=  \frac{\xi}{2} B^{a} B^{a} - \partial_{\mu} B^{a} A^{a \mu}, \\
\mathscr{L}_{FP} &= \partial^{\mu} \bar{c}^{a} (D_{\mu} c)^{a}
\end{align*}
Where we used some Partial Integration. Furthermore we defined:
\begin{equation*}
D^{ab}_{\mu} = \partial_{\mu} \delta^{ab} + g f^{abc} A^{c}_{\mu}
\end{equation*}
Moreover the infinitesimal transformations of the BRST symmetry are given as:
\begin{align*}
\delta A^{a}_{\mu} &= \epsilon D^{ac}_{\mu} c^{c} \\
\delta \psi &= \i g \epsilon c^{a} T^{a} \psi \\
\delta c^{a} &= - \frac{1}{2} g \epsilon f^{abc} c^{b} c^{c} \\
\delta \bar{c}^{a} &= \epsilon B^{a} \\
\delta B^{a} &= 0
\end{align*}
To calculate the current we need to compute some derivative i.e.:
\begin{alignat*}{2}
\pdv{\mathscr{L}_{G}}{(\partial_{\rho} A^{d}_{\sigma})} &= F^{d, \sigma \rho},
\qquad
\pdv{\mathscr{L}_{G}}{A_{\sigma}^{d}} &&= -g f^{adc} A^{c}_{\rho} F^{a,\sigma \rho} ,\\
\pdv{\mathscr{L}_{GF}}{ A^{d}_{\sigma}} &= - \partial^{\sigma} B^{d} ,
\qquad
\pdv{\mathscr{L}_{FP}}{A_{\sigma}^{d}} &&= g f^{adb} \partial^{\sigma} \bar{c}^{a} c^{b}
\end{alignat*}
This yields the following EOM and the first part of the BRST current.
\begin{align*}\label{eq-EOM_A}
\partial_{\rho} F^{d, \sigma \rho} = g f^{acd} A^{c}_{\rho} F^{a,\sigma \rho} - \partial^{\sigma} B^{d} + g f^{adb}  \partial^{\sigma} \bar{c}^{a} c^{b} \tag{EOM $A$}
\end{align*}
\begin{align*}
\lambda j_{A}^{\rho} = - \lambda F^{d, \rho \sigma} (D_{\sigma} c)^{d}
\end{align*}
Next we consider the $B$-field, but since $\delta B^{a} = 0$ we conclude:
\begin{equation*}
j_{B}^{\rho} = 0
\end{equation*}
Lastly we need to vary with respect to $c$ and $\bar{c}$. 
\begin{align*}
\pdv{\mathscr{L}_{FP}}{(\partial_{\rho} \bar{c}^{d})} = (D^{\rho} c )^{d}, \qquad \pdv{\mathscr{L}_{FP}}{\bar{c}^{d}} = 0
\end{align*}
We therefore get the EOM and current as:
\begin{align*}\label{eq-EOM_c}
(\partial \cdot Dc)^{d} &= 0 \tag{EOM $c$} \\
\lambda j_{\bar{c}}^{\rho} &= \lambda (D^{\rho} c )^{d} B^{d}
\end{align*}
For the variation with respect to $c$ we get:
\begin{align*}
\pdv{\mathscr{L}_{FP}}{(\partial_{\rho} c^{d})} = \partial^{\rho} \bar{c}^{d} , \qquad \pdv{\mathscr{L}_{FP}}{c^{d}} = g f^{abd} \partial^{\mu} \bar{c}^{a} A_{\mu}^{a}
\end{align*}
Then we can again deduce the EOM and current:
\begin{align*}\label{eq-EOM_barc}
\partial^{2} \bar{c} &= g f^{abd} \partial^{\mu} \bar{c}^{a} A_{\mu}^{b} \tag{EOM $\bar{c}$} \\
\lambda j_{c}^{\rho} &= \frac{1}{2} \lambda g f^{dab } \partial^{\rho} \bar{c}^{d} c^{a} c^{b}
\end{align*}
Adding all term us we get:
\begin{equation*}\label{eq-curr}
j_\text{BRS}^{\rho} = j_{A}^{\rho} + j_{B}^{\rho} + j_{\bar{c}}^{\rho} + j_{c}^{\rho} = - F^{d, \rho \sigma} (D_{\sigma} c)^{d} + (D^{\rho} c)^{d} B^{d} + \frac{1}{2} g f^{dbc} \partial^{\rho} \bar{c}^{d} c^{b} c^{c} \tag{$\ast$}
\end{equation*}
We can use our EOMs to rewrite (\ref{eq-curr}) into a different from, i.e.:
\begin{align*}
- F^{d, \rho \sigma} (D_{\sigma} c)^{d} &= - \partial_{\sigma} (F^{d, \rho \sigma} c^{d} ) + \partial_{\sigma} F^{d, \rho \sigma} c^{d} - g f^{dab} A_{\sigma}^{a} c^{b} F^{d, \rho \sigma} \\
&= - \partial_{\sigma} (F^{d, \rho \sigma} c^{d} ) + \partial_{\rho} B^{d} c^{d} - g f^{abd} \partial^{\rho} \bar{c}^{a} c^{b} c^{d}
\end{align*}
Substituting this into (\ref{eq-curr}) we get:
\begin{equation*}\boxed{
j_\text{BRS}^{\mu} = (D^{\mu} c)^{a} B^{a} - \partial^{\mu} B^{a} c^{a} - \frac{1}{2} g f^{abc} \partial^{\mu} \bar{c}^{a} c^{b} c^{c} - \partial_{\nu} (F^{a, \mu \nu} c^{a})}
\end{equation*}
Now we need to calculate the generator $Q_\text{BRS}$. The last term of the above equation vanishes in the integral since it is a surface term in $3$-dimensional space. 
\begin{equation*}
Q_\text{BRS} = \int d^{3} x\, j_\text{BRS}^{0}
\end{equation*}
In the decoupled case $f^{abc} = 0$ and we therefore get the free versions of (\ref{eq-EOM_A}), (\ref{eq-EOM_c}) and (\ref{eq-EOM_barc}), i.e.:
\begin{equation*}
\Box B = \Box c = \Box \bar{c} = 0
\end{equation*}
We can immediately write the charge as:
\begin{equation*}
Q_{\text{BRS}} = \int d^{3}x \, (\dot{c} B - \dot{B} c) \overset{\text{abelian}}{=} \int d^{3}x \, (B \dot{c} - \dot{B} c)
\end{equation*}
Since $B$ and $c$ are free fields, we can write them as:
\begin{align*}
B(x) &= \int \frac{d^{3}p}{(2\pi)^{3} E_{\vec{p}}} \, (b(\vec{p}) e^{-\i p \cdot x} + b^{\dagger} (\vec{p}) e^{\i p \cdot x} ) \bigg|_{p^{0}=E_{\vec{p}}} \\
c(x) &= \int \frac{d^{3}k}{(2\pi)^{3} E_{\vec{k}}} \, (c(\vec{k}) e^{-\i k \cdot x} - c^{\dagger} (\vec{k}) e^{\i k \cdot x} ) \bigg|_{k^{0}=E_{\vec{k}}}
\end{align*}
From these we can calculate the time-derivatives easily:
\begin{align*}
\dot{B}(x) &= \int \frac{d^{3}p}{(2\pi)^{3} E_{\vec{p}}} \, (- \i E_{\vec{p}} \, b(\vec{p}) e^{-\i p \cdot x} + \i E_{\vec{p}} \, b^{\dagger} (\vec{p}) e^{\i p \cdot x} ) \bigg|_{p^{0}=E_{\vec{p}}} \\
\dot{c}(x) &= \int \frac{d^{3}k}{(2\pi)^{3} E_{\vec{k}}} \, (- \i E_{\vec{p}} \, c(\vec{k}) e^{-\i k \cdot x} - \i E_{\vec{p}} \,c^{\dagger} (\vec{k}) e^{\i k \cdot x} ) \bigg|_{k^{0}=E_{\vec{k}}}
\end{align*}
Now we compute the products $B \dot{c}$ and $\dot{B} c$:
\begin{align*}
\int d^{3}x \, B \dot{c} &= \i \int \frac{d^{3}p}{(2\pi)^{3} E_{\vec{p}}} \, \frac{1}{2} (- b(\vec{p}) c(-\vec{p}) e^{- \i 2 E_{\vec{p}}t} - b(\vec{p}) c^{\dagger}(\vec{p}) - b^{\dagger}(\vec{p}) c(\vec{p}) - b^{\dagger} (\vec{p}) c^{\dagger} (- \vec{p} ) e^{\i 2 E_{\vec{p}} t} )\\
\int d^{3}x \, \dot{B} c &= \i \int \frac{d^{3}p}{(2\pi)^{3} E_{\vec{p}}} \, \frac{1}{2} (- b(\vec{p}) c(-\vec{p}) e^{- \i 2 E_{\vec{p}}t} + b^{\dagger} (\vec{p}) c(\vec{p}) + b(\vec{p}) c^{\dagger} (\vec{p}) - b(\vec{p}) c^{\dagger} (-\vec{p} ) e^{\i 2 E_{\vec{p}}t} )
\end{align*}
Such that:
\begin{equation*}
\int d^{3}x \, (B \dot{c} - \dot{B} c ) \propto b(\vec{p}) c^{\dagger}(\vec{p}) + b^{\dagger} (\vec{p} ) c(\vec{p})
\end{equation*}
In the abelian case ghost are free particles such that:
\begin{equation*}
| \Psi \rangle = | \psi \rangle \otimes |\text{ghost} \rangle 
\end{equation*}
Since ghost are not necessary in abelian field theories we can set $| \text{ghost} \rangle = |0\rangle$. Then the impact of $Q_{\text{BRS}}$ on $| \Psi \rangle$ is given by:
\begin{align*}
Q_{\text{BRS}} | \Psi \rangle = 0 &\Rightarrow b(\vec{p}) | \psi \rangle \otimes c^{\dagger} (\vec{p}) | 0 \rangle_{\text{FP}} = 0  \\
&\Rightarrow b(\vec{p}) | \psi \rangle \otimes | c \rangle_{\text{FP}} = 0 
\end{align*} \QED
\end{addmargin}
\noindent\rule{\textwidth}{1pt}
\end{document}

\begin{document}
